libzypp 17.37.10

DefaultLoadSystem.cc File Reference
`#include <iostream>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/misc/DefaultLoadSystem.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/zypp_detail/ZYppReadOnlyHack.h>`
`#include <zypp/Target.h>`
`#include <zypp/RepoManager.h>`
`#include <zypp/sat/Pool.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::misc

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::misc"

## Functions
void | zypp::misc::defaultLoadSystem (const Pathname &sysRoot_r="/", LoadSystemFlags flags_r=LoadSystemFlags())
| Create the ZYpp instance and load target and enabled repositories.

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::misc"

Definition at line 28 of file DefaultLoadSystem.cc.